# `abacusai.model_metrics`

## Module Contents

### Classes

`ModelMetrics` | Metrics of the trained model.

class abacusai.model_metrics.ModelMetrics(client, modelId=None, modelVersion=None, metrics=None, baselineMetrics=None, targetColumn=None, trainValTestSplit=None, infoLogs=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Metrics of the trained model.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - modelId (str) – The Model

    - modelVersion (str) – The Model Version

    - metrics (dict) – Key/value pairs of metrics and their values

    - baselineMetrics (dict) – Key/value pairs of the baseline model metrics and their values

    - targetColumn (str) – The target column the model is predicting

    - trainValTestSplit (dict) – Info on train, val and test split

    - infoLogs (list) – Model training logs

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict